#!BuildIgnore:	post-build-checks
# needsrootforbuild
# rootforbuild

%define qdir  		/var/qmail
%define VPOP_HOME	/var/vpopmail
# vpopmail group
%define VPOPGID 89

# vpopmail user
%define VPOPUID 89

%if 0%{?suse_version}
%define		_apachewww	/srv/www/htdocs
%define		_apachecgi	/srv/www/cgi-bin
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
%define		_apachewww	/var/www/html
%define		_apachecgi	/var/www/cgi-bin
%endif
%define		_helpversion	1.0.8 
Name:		qmailadmin
Version:	1.2.16
Release:	50.51.12
Summary:	Virtual domains for qmail

Group:		Applications/Productivity
License:	GPL
URL:		http://vpopmail.sourceforge.net
Source0:	http://osdn.dl.sourceforge.net/sourceforge/qmailadmin/%{name}-%{version}.tar.gz
Source1:	qmailadmin.maildrop
Source2:	qmailadmin.logrotate
Source3:	qmailadmin.maildrop.default
Source10:	%{name}-help-%{_helpversion}.tar.gz
Source11:	%{name}-rpmlintrc
Patch0:		qmailadmin-1.2.16-makefile.diff
Patch1:		qmailadmin-1.2.12-nospam_cmd.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	maildrop netqmail >= 1.06-50 autorespond vpopmail apache2 mysql
BuildRequires:	maildrop netqmail >= 1.06-50 autorespond vpopmail mysql-devel ezmlm-idx-mysql ezmlm-idx qmail_prepare_build >= 0.2

%description

%prep
%setup -q -b10
%patch0
%patch1
autoreconf -fi
%configure \
 --enable-vpopmaildir=%{VPOP_HOME} \
 --enable-htmldir=%{_apachewww} \
 --enable-cgibindir=%{_apachecgi} \
 --enable-imageurl=/images/qmailadmin \
 --enable-imagedir=%{_apachewww}/images/qmailadmin \
 --enable-htmllibdir=%{_apachewww}/qmailadmin \
 --enable-qmaildir=%{qdir} \
 --enable-ezmlmdir=%{_bindir} \
 --enable-cgipath=/cgi-bin/qmailadmin \
 --enable-autoresponder-path=%{_bindir} \
 --enable-vpopuser=vpopmail \
 --enable-vpopgroup=vchkpw \
 --enable-maxusersperpage=25 \
 --enable-maxaliasesperpage=25 \
 --disable-ipauth \
 --enable-modify-quota \
 --enable-spamcmd-needs-email \
 --enable-modify-spam \
 --enable-spam-command='|preline %{_bindir}/maildrop %{_sysconfdir}/maildrop.d/qmailadmin' \
 --enable-nospam-command='|preline %{_bindir}/maildrop %{_sysconfdir}/maildrop.d/default' \
 --enable-help

%build
%__make %{?_smp_mflags}

%install
%__make DESTDIR=$RPM_BUILD_ROOT install
%__install -m 755 -d %{buildroot}/var/log/maildrop/
%__install -D -m 644 %{S:2} %{buildroot}/%{_sysconfdir}/logrotate.d/qmailadmin
%__install -D -m 600 %{S:1} %{buildroot}/%{_sysconfdir}/maildrop.d/qmailadmin
%__install -D -m 600 %{S:3} %{buildroot}/%{_sysconfdir}/maildrop.d/default
# help files
%__install -m 755 -d %{buildroot}%{_apachewww}/images/qmailadmin/help
cp -rp $RPM_BUILD_DIR/%{name}-help-%{_helpversion}/* %{buildroot}%{_apachewww}/images/qmailadmin/help/
rm -rf %{buildroot}%{_apachewww}/images/qmailadmin/help/INSTALL

%pre

%clean
rm -rf %{buildroot}

%files
%defattr(6755,vpopmail,vchkpw)
%{_apachecgi}/qmailadmin
%defattr(0644,vpopmail,vchkpw)
%{_apachewww}/images/qmailadmin/*
%defattr(0755,vpopmail,vchkpw)
%{_apachewww}/qmailadmin
%defattr(0644,vpopmail,vchkpw)
%{_apachewww}/qmailadmin/html/*
%{_apachewww}/qmailadmin/lang/*
%attr(0700,vpopmail,vchkpw) %dir %{_sysconfdir}/maildrop.d
%config(noreplace) %attr(0600,vpopmail,vchkpw) %{_sysconfdir}/maildrop.d/qmailadmin
%config(noreplace) %attr(0600,vpopmail,vchkpw) %{_sysconfdir}/maildrop.d/default
%attr(0755,vpopmail,vchkpw) /var/log/maildrop
%config %attr(0644,root,root) %{_sysconfdir}/logrotate.d/qmailadmin

%changelog
* Sun Sep 04 2011 Carsten Schoene <cs@linux-administrator.com> - 1.2.16-50
- update to release 1.2.16

* Sun Jun 13 2010 Carsten Schoene <cs@linux-administrator.com> - 1.2.14-10
- update to release 1.2.14

* Sat Feb 27 2010 Carsten Schoene <cs@linux-administrator.com> - 1.2.13-9
- update maildrop script

* Sun May 03 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.13-8
- update to release 1.2.13

* Sat Feb 21 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.12-7
- created & added patch to write .qmail file if spam detection is disabled,
  and execute maildrop with different maildrop filter file

* Thu Feb 19 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.12-5
- update maildrop script

* Thu Oct 23 2008 Carsten Schoene <cs@linux-administrator.com> - 1.2.12-3
- added qmailadmin help files
- changed some macros for cross distribution build

* Mon Jul 14 2008 Carsten Schoene <cs@łinux-administrator.com> - 1.2.12-2
- added maildrop script for spam processing
- added logrotate script

* Mon Apr 28 2008 Carsten Schoene <cs@linux-administrator.com> - 1.2.12-1
- initial build
